package com.pj.ht_sell_goods_list;

import java.util.List;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.transaction.annotation.Transactional;
import com.pj.utils.sg.*;

/**
 * Service: ht_sell_goods_list -- 商铺卖货物列表,主表ht_trade_settlement
 * @author yzs 
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class HtSellGoodsListService extends ServiceImpl<HtSellGoodsListMapper, HtSellGoodsList> implements IService<HtSellGoodsList>{

	/** 底层 Mapper 对象 */
	@Autowired
	HtSellGoodsListMapper htSellGoodsListMapper;

	/** 增 */
	void add(HtSellGoodsList h){
		save(h);
	}

	/** 删 */
	void delete(Long id){
		removeById(id);
	}

	/** 改 */
	void update(HtSellGoodsList h){
		updateById(h);

	}

	/** 查 */
	HtSellGoodsList getById(Long id){
		return super.getById(id);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */  
	List<HtSellGoodsList> getList(SoMap so) { 
		return htSellGoodsListMapper.getList(so);	
	}
	

}
